class Toolbox:
	"""
	Interface for toolbox portal management UI widget.
	
	A toolbox display context sensitive actions to a
	portal user. The toolbox polls various objects including
	the portal, the user and the current object and filters
	the possible actions.
	
	Toolbox implements this interface.
	"""
	
	def __call__(self, obj, HTML):
		"""
		Displays the toolbox as an HTML fragment.
		
		This method should be called from DTML to display the Toolbox. 
		
		Arguments -- obj, ToolboxAware. The current portal object.
		Return: HTML fragment
		Permission: 'View'
		"""