from Products.PTKBase.MemberFolder import MemberBase, MemberFolderBase
from Globals import HTMLFile
import Persistence

class DemoZODBMemberBase: 
    """Demonstration ZODB-based Member mix-in class"""

    def __init__(self,name,password,roles,domains):
        self.name   =name
        self.__     =password
        self.roles  =roles
        self.domains=domains

    def setMemberProperties(self, REQUEST):
        for ps in self.propertysheets:
            ps.manage_changeProperties(REQUEST)

class DemoZODBMemberFolderBase:
    """Demonstration ZODB-based Member Folder mix-in class"""

    #_editUser = HTMLFile('editUser', globals())
    
    def __init__(self):
        self.data=Persistence.PersistentMapping()

    def getUserNames(self):
        """Return a list of usernames"""
        names=self.data.keys()
        names.sort()
        return names

    def getUsers(self):
        """Return a list of user objects"""
        data=self.data
        names=data.keys()
        names.sort()
        users=[]
        f=users.append
        for n in names:
            f(data[n])
        return users

    def getUser(self, name):
        """Return the named user object or None"""
        if self.data.has_key(name):
            return self.data[name].__of__(self)
        return None

    def _doAddUser(self, name, password, roles, domains):
        """Create a new user"""
        self.data[name]=self.MemberClass(name,password,roles,domains)

    def _doChangeUser(self, name, password, roles, domains):
        user=self.data[name]
        user.__=password
        user.roles=roles
        user.domains=domains

    def _doDelUsers(self, names):
        for name in names:
            del self.data[name]
